aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authormokopatches <mokopatches@openmoko.org>2008-11-19 17:03:18 +0000
committerwarmcat <andy@warmcat.com>2008-11-19 17:03:18 +0000
commitce82f1353a5b9e1466369106ba7be5eca86c5e49 (patch)
tree5953f073a8db4a29f5fdf31ab3441104d08432a1 /scripts
parentc40a3ecef6534b354620a809fd015f4b9961b8fe (diff)
fail-unless-uimage.patch
Fail the build noisily if "mkimage" can't be found, e.g., if we forgot to add the u-boot directory to PATH.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mkuboot.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/mkuboot.sh b/scripts/mkuboot.sh
index 2e3d3cd916b..446739c7843 100755
--- a/scripts/mkuboot.sh
+++ b/scripts/mkuboot.sh
@@ -11,7 +11,7 @@ if [ -z "${MKIMAGE}" ]; then
if [ -z "${MKIMAGE}" ]; then
# Doesn't exist
echo '"mkimage" command not found - U-Boot images will not be built' >&2
- exit 0;
+ exit 1;
fi
fi